/*
 * Class SED_SESSION_DESERIALIZER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_384 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_384 [] = {0xFF01,1551,383,0xFFFF};
static const EIF_TYPE_INDEX egt_2_384 [] = {0xFF01,383,0xFFFF};
static const EIF_TYPE_INDEX egt_3_384 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_384 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_384 [] = {0xFF01,383,0xFFFF};
static const EIF_TYPE_INDEX egt_6_384 [] = {0xFF01,383,0xFFFF};
static const EIF_TYPE_INDEX egt_7_384 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_384 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_384 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_384 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_384 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_384 [] = {0xFF01,383,0xFFFF};
static const EIF_TYPE_INDEX egt_13_384 [] = {0xFF01,1997,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_384 [] = {1551,0xFF01,489,0xFFFF};
static const EIF_TYPE_INDEX egt_15_384 [] = {0xFF01,307,0xFFFF};
static const EIF_TYPE_INDEX egt_16_384 [] = {1567,0xFF01,32,0xFFFF};
static const EIF_TYPE_INDEX egt_17_384 [] = {0xFF01,560,0xFFFF};
static const EIF_TYPE_INDEX egt_18_384 [] = {0xFF01,565,0xFFFF};
static const EIF_TYPE_INDEX egt_19_384 [] = {0xFF01,1547,0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_20_384 [] = {0xFF01,27,0xFFFF};
static const EIF_TYPE_INDEX egt_21_384 [] = {1668,869,0xFFFF};
static const EIF_TYPE_INDEX egt_22_384 [] = {0xFF01,1547,0,0xFFFF};
static const EIF_TYPE_INDEX egt_23_384 [] = {0xFF01,671,0xFFFF};


static const struct desc_info desc_384[] = {
	{EIF_GENERIC(NULL), 6759, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_384), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_384), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_384), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_384), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_384), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_384), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_384), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_384), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_384), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_384), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_384), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_384), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x02FF /*383*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_384), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6710, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 6711, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 6712, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6713, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_384), 6714, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x03D3 /*489*/), 6417, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6418, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6419, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6420, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6421, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6422, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6423, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6424, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6425, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_384), 6426, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x03D3 /*489*/), 6427, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6760, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_384), 6761, 0},
	{EIF_NON_GENERIC(0x01 /*0*/), 6762, 4},
	{EIF_NON_GENERIC(0x41 /*32*/), 6763, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_384), 6764, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6765, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6766, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6767, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_384), 6715, 12},
	{EIF_GENERIC(egt_18_384), 6716, 16},
	{EIF_GENERIC(egt_19_384), 6717, 20},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6718, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6719, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6720, 28},
	{EIF_GENERIC(egt_20_384), 6721, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 6722, 32},
	{EIF_GENERIC(egt_21_384), 6723, 24},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6724, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6725, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6726, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6727, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6728, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6729, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6730, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6731, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6732, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6733, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 6734, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6735, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6736, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6737, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6738, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6739, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6740, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_384), 6741, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6742, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6743, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6744, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6745, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6746, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6747, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6748, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6749, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6750, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6751, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6752, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6753, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6754, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6755, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6756, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6757, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_384), 6758, 0xFFFFFFFF},
};
void Init384(void)
{
	IDSC(desc_384, 0, 383);
	IDSC(desc_384 + 1, 1, 383);
	IDSC(desc_384 + 32, 971, 383);
	IDSC(desc_384 + 37, 1366, 383);
	IDSC(desc_384 + 48, 632, 383);
}


#ifdef __cplusplus
}
#endif
